#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=drama1.21_base.ps
projection=-JM16.0c+
region=-R23.3/24.6/40.3/41.6
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map drama1.21' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    40.578    23.640
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    40.544    23.706
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    40.470    23.960
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    40.480    23.948
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    40.633    23.410
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    40.876    23.630
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    41.253    24.040
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    41.203    24.007
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    40.561    23.642
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    40.564    23.642
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    40.571    23.684
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    40.578    23.676
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    40.562    23.657
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    40.561    23.645
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    40.572    23.619
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    40.485    23.999
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    40.487    23.617
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    41.251    23.644
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    40.577    23.651
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    40.432    23.868
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    40.577    23.632
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    40.458    23.687
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    40.563    24.264
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    40.864    23.807
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    41.205    24.147
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    40.595    23.858
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    41.175    23.806
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    40.767    24.032
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    40.866    23.869
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    40.762    23.658
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    41.204    23.987
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    40.585    23.890
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    40.593    24.102
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    40.611    24.097
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    40.879    24.036
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    40.885    24.043
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    40.844    24.116
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    40.821    23.844
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    40.599    24.136
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    40.641    23.767
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    41.189    23.781
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    40.623    23.788
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    40.559    23.574
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    40.563    23.574
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    40.563    23.580
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    40.557    23.578
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    40.558    23.573
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    40.558    23.580
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    40.559    23.577
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    40.485    23.667
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    41.213    23.735
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    41.455    23.753
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    40.665    23.710
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    40.668    23.718
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    40.560    23.871
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    40.565    23.918
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    40.564    23.914
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    41.165    24.436
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    40.538    23.543
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    40.428    23.870
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    40.960    24.270
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    41.219    23.952
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    41.177    24.118
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
    41.305    24.455
END
gmt psxy -: -R $projection -Sl8p+t"65" -G0 -O -K << END >> $psfile
    40.474    23.959
END
gmt psxy -: -R $projection -Sl8p+t"66" -G0 -O -K << END >> $psfile
    41.297    24.447
END
gmt psxy -: -R $projection -Sl8p+t"67" -G0 -O -K << END >> $psfile
    40.624    24.146
END
gmt psxy -: -R $projection -Sl8p+t"68" -G0 -O -K << END >> $psfile
    41.302    24.446
END
gmt psxy -: -R $projection -Sl8p+t"69" -G0 -O -K << END >> $psfile
    40.598    23.863
END
gmt psxy -: -R $projection -Sl8p+t"70" -G0 -O -K << END >> $psfile
    41.323    24.459
END
gmt psxy -: -R $projection -Sl8p+t"71" -G0 -O -K << END >> $psfile
    41.205    23.750
END
gmt psxy -: -R $projection -Sl8p+t"72" -G0 -O -K << END >> $psfile
    41.208    23.761
END
gmt psxy -: -R $projection -Sl8p+t"73" -G0 -O -K << END >> $psfile
    40.910    23.736
END
gmt psxy -: -R $projection -Sl8p+t"74" -G0 -O -K << END >> $psfile
    40.531    23.513
END
gmt psxy -: -R $projection -Sl8p+t"75" -G0 -O -K << END >> $psfile
    41.171    24.324
END
gmt psxy -: -R $projection -Sl8p+t"76" -G0 -O -K << END >> $psfile
    41.189    23.743
END
gmt psxy -: -R $projection -Sl8p+t"77" -G0 -O -K << END >> $psfile
    40.594    24.117
END
gmt psxy -: -R $projection -Sl8p+t"78" -G0 -O -K << END >> $psfile
    40.590    24.090
END
gmt psxy -: -R $projection -Sl8p+t"79" -G0 -O -K << END >> $psfile
    41.178    24.481
END
gmt psxy -: -R $projection -Sl8p+t"80" -G0 -O -K << END >> $psfile
    41.125    24.399
END
gmt psxy -: -R $projection -Sl8p+t"81" -G0 -O -K << END >> $psfile
    41.240    23.742
END
gmt psxy -: -R $projection -Sl8p+t"82" -G0 -O -K << END >> $psfile
    40.576    23.557
END
gmt psxy -: -R $projection -Sl8p+t"83" -G0 -O -K << END >> $psfile
    40.561    24.038
END
gmt psxy -: -R $projection -Sl8p+t"84" -G0 -O -K << END >> $psfile
    40.882    23.833
END
gmt psxy -: -R $projection -Sl8p+t"85" -G0 -O -K << END >> $psfile
    40.521    23.515
END
gmt psxy -: -R $projection -Sl8p+t"86" -G0 -O -K << END >> $psfile
    41.206    23.543
END
gmt psxy -: -R $projection -Sl8p+t"87" -G0 -O -K << END >> $psfile
    40.520    23.699
END
gmt psxy -: -R $projection -Sl8p+t"88" -G0 -O -K << END >> $psfile
    40.822    24.140
END
gmt psxy -: -R $projection -Sl8p+t"89" -G0 -O -K << END >> $psfile
    41.228    23.583
END
gmt psxy -: -R $projection -Sl8p+t"90" -G0 -O -K << END >> $psfile
    41.215    23.599
END
gmt psxy -: -R $projection -Sl8p+t"91" -G0 -O -K << END >> $psfile
    40.624    24.067
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.588    23.627
    40.578    23.640
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.645    23.636
    40.578    23.640
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.543    23.701
    40.544    23.706
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.524    23.615
    40.544    23.706
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.470    23.956
    40.470    23.960
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.474    23.949
    40.470    23.960
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.480    23.947
    40.480    23.948
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.481    23.903
    40.480    23.948
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.632    23.408
    40.633    23.410
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.804    23.533
    40.633    23.410
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.876    23.630
    40.876    23.630
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.960    23.680
    40.876    23.630
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.253    24.040
    41.253    24.040
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.273    23.946
    41.253    24.040
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.204    24.007
    41.203    24.007
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.150    24.010
    41.203    24.007
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.560    23.640
    40.561    23.642
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.532    23.606
    40.561    23.642
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.564    23.641
    40.564    23.642
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.553    23.669
    40.564    23.642
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.571    23.683
    40.571    23.684
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.539    23.689
    40.571    23.684
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.578    23.676
    40.578    23.676
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.565    23.689
    40.578    23.676
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.561    23.655
    40.562    23.657
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.591    23.646
    40.562    23.657
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.560    23.644
    40.561    23.645
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.572    23.651
    40.561    23.645
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.573    23.618
    40.572    23.619
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.570    23.584
    40.572    23.619
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.484    23.997
    40.485    23.999
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.478    24.005
    40.485    23.999
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.487    23.615
    40.487    23.617
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.480    23.670
    40.487    23.617
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.251    23.641
    41.251    23.644
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.237    23.688
    41.251    23.644
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.577    23.650
    40.577    23.651
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.590    23.642
    40.577    23.651
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.431    23.866
    40.432    23.868
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.455    23.867
    40.432    23.868
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.577    23.631
    40.577    23.632
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.589    23.607
    40.577    23.632
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.457    23.687
    40.458    23.687
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.450    23.610
    40.458    23.687
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.563    24.263
    40.563    24.264
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.650    24.310
    40.563    24.264
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.863    23.806
    40.864    23.807
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.863    23.847
    40.864    23.807
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.205    24.146
    41.205    24.147
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.180    24.140
    41.205    24.147
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.595    23.856
    40.595    23.858
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.550    23.800
    40.595    23.858
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.174    23.807
    41.175    23.806
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.150    23.780
    41.175    23.806
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.766    24.031
    40.767    24.032
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.770    24.050
    40.767    24.032
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.866    23.868
    40.866    23.869
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.853    23.888
    40.866    23.869
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.762    23.657
    40.762    23.658
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.730    23.670
    40.762    23.658
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.204    23.987
    41.204    23.987
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.270    23.990
    41.204    23.987
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.584    23.889
    40.585    23.890
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.590    23.850
    40.585    23.890
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.593    24.101
    40.593    24.102
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.594    24.103
    40.593    24.102
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.610    24.097
    40.611    24.097
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.610    24.143
    40.611    24.097
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.878    24.035
    40.879    24.036
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.810    24.040
    40.879    24.036
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.885    24.042
    40.885    24.043
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.880    24.110
    40.885    24.043
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.843    24.115
    40.844    24.116
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.850    24.140
    40.844    24.116
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.821    23.843
    40.821    23.844
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.870    23.890
    40.821    23.844
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.599    24.135
    40.599    24.136
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.640    24.140
    40.599    24.136
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.641    23.766
    40.641    23.767
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.630    23.781
    40.641    23.767
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.189    23.780
    41.189    23.781
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.167    23.786
    41.189    23.781
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.623    23.788
    40.623    23.788
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.597    23.826
    40.623    23.788
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.559    23.573
    40.559    23.574
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.555    23.569
    40.559    23.574
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.563    23.574
    40.563    23.574
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.550    23.574
    40.563    23.574
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.563    23.580
    40.563    23.580
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.551    23.585
    40.563    23.580
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.557    23.578
    40.557    23.578
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.552    23.577
    40.557    23.578
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.558    23.572
    40.558    23.573
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.570    23.550
    40.558    23.573
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.558    23.580
    40.558    23.580
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.560    23.570
    40.558    23.580
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.559    23.577
    40.559    23.577
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.553    23.575
    40.559    23.577
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.485    23.667
    40.485    23.667
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.466    23.629
    40.485    23.667
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.213    23.735
    41.213    23.735
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.221    23.719
    41.213    23.735
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.455    23.753
    41.455    23.753
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.489    23.834
    41.455    23.753
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.666    23.709
    40.665    23.710
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.647    23.702
    40.665    23.710
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.668    23.717
    40.668    23.718
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.664    23.706
    40.668    23.718
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.560    23.871
    40.560    23.871
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.561    23.896
    40.560    23.871
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.565    23.917
    40.565    23.918
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.537    23.948
    40.565    23.918
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.564    23.914
    40.564    23.914
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.551    23.925
    40.564    23.914
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.164    24.439
    41.165    24.436
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.162    24.463
    41.165    24.436
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.537    23.542
    40.538    23.543
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.535    23.538
    40.538    23.543
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.429    23.869
    40.428    23.870
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.421    23.867
    40.428    23.870
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.960    24.269
    40.960    24.270
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.956    24.281
    40.960    24.270
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.219    23.951
    41.219    23.952
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.201    23.949
    41.219    23.952
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.177    24.118
    41.177    24.118
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.164    24.119
    41.177    24.118
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.304    24.455
    41.305    24.455
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.298    24.450
    41.305    24.455
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.474    23.958
    40.474    23.959
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.451    23.944
    40.474    23.959
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.297    24.447
    41.297    24.447
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.279    24.439
    41.297    24.447
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.624    24.146
    40.624    24.146
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.627    24.141
    40.624    24.146
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.302    24.445
    41.302    24.446
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.252    24.457
    41.302    24.446
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.598    23.863
    40.598    23.863
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.574    23.861
    40.598    23.863
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.323    24.459
    41.323    24.459
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.298    24.451
    41.323    24.459
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.205    23.750
    41.205    23.750
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.215    23.755
    41.205    23.750
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.208    23.761
    41.208    23.761
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.185    23.763
    41.208    23.761
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.910    23.736
    40.910    23.736
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.905    23.735
    40.910    23.736
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.531    23.513
    40.531    23.513
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.499    23.526
    40.531    23.513
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.171    24.324
    41.171    24.324
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.158    24.335
    41.171    24.324
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.190    23.743
    41.189    23.743
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.181    23.747
    41.189    23.743
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.594    24.117
    40.594    24.117
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.584    24.122
    40.594    24.117
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.590    24.089
    40.590    24.090
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.573    24.069
    40.590    24.090
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.177    24.480
    41.178    24.481
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.173    24.480
    41.178    24.481
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.124    24.399
    41.125    24.399
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.110    24.399
    41.125    24.399
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.240    23.742
    41.240    23.742
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.212    23.745
    41.240    23.742
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.576    23.557
    40.576    23.557
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.562    23.540
    40.576    23.557
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.561    24.038
    40.561    24.038
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.593    24.102
    40.561    24.038
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.882    23.833
    40.882    23.833
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.884    23.832
    40.882    23.833
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.521    23.515
    40.521    23.515
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.518    23.513
    40.521    23.515
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.206    23.543
    41.206    23.543
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.186    23.544
    41.206    23.543
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.520    23.699
    40.520    23.699
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.522    23.698
    40.520    23.699
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.822    24.140
    40.822    24.140
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.801    24.135
    40.822    24.140
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.227    23.583
    41.228    23.583
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.220    23.594
    41.228    23.583
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.215    23.599
    41.215    23.599
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.212    23.613
    41.215    23.599
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    40.624    24.067
    40.624    24.067
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    40.612    24.087
    40.624    24.067
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    40.578    23.640    53.357     1.921     2.287
    40.544    23.706   -81.665     2.110     2.550
    40.470    23.960   -10.232     1.760     2.282
    40.480    23.948    53.487     1.238     1.308
    40.633    23.410    -5.765     1.477     1.912
    40.876    23.630   -21.702     2.063     2.305
    41.253    24.040    42.821     1.273     1.418
    41.203    24.007    35.750     1.425     1.885
    40.561    23.642   -55.704     1.320     1.733
    40.564    23.642   -35.953     1.565     2.240
    40.571    23.684   -34.091     1.337     1.834
    40.578    23.676   -40.091     1.470     1.887
    40.562    23.657   -67.707     1.121     1.444
    40.561    23.645   -57.989     0.977     1.327
    40.572    23.619   -69.724     1.012     1.341
    40.485    23.999   -25.170     2.153     2.327
    40.487    23.617   -40.934     1.421     1.988
    41.251    23.644    44.218     1.898     2.429
    40.577    23.651   -45.936     1.249     1.662
    40.432    23.868   -16.269     1.446     1.931
    40.577    23.632   -16.793     1.584     2.166
    40.458    23.687     5.532     2.078     3.396
    40.563    24.264    -2.703     2.023     2.403
    40.864    23.807    39.090     1.091     1.629
    41.205    24.147     8.225     1.948     2.887
    40.595    23.858    11.855     1.692     2.589
    41.175    23.806    15.396     1.769     2.333
    40.767    24.032    14.101     1.512     2.000
    40.866    23.869   -88.680     1.112     1.189
    40.762    23.658   -13.078     1.477     1.796
    41.204    23.987    -3.049     1.699     2.113
    40.585    23.890   -18.457     0.985     1.869
    40.593    24.102   -67.740     1.037     1.215
    40.611    24.097   -13.726     1.111     1.443
    40.879    24.036   -37.792     1.509     1.638
    40.885    24.043    -3.651     1.474     1.892
    40.844    24.116   -62.698     1.209     1.596
    40.821    23.844    -3.288     1.099     1.416
    40.599    24.136     4.744     1.324     1.611
    40.641    23.767    -8.756     1.120     1.372
    41.189    23.781    26.007     1.097     1.518
    40.623    23.788   -10.592     1.220     1.420
    40.559    23.574     2.382     0.586     0.735
    40.563    23.574    -1.325     0.597     0.768
    40.563    23.580    -1.390     0.683     0.912
    40.557    23.578   -11.953     0.932     1.281
    40.558    23.573     7.892     0.821     1.150
    40.558    23.580   -17.773     0.858     1.248
    40.559    23.577    -7.640     0.711     1.002
    40.485    23.667   -16.013     1.056     1.362
    41.213    23.735    46.671     1.277     1.453
    41.455    23.753   -40.652     1.220     1.773
    40.665    23.710    -7.948     1.251     1.477
    40.668    23.718     2.749     1.091     1.330
    40.560    23.871   -25.089     1.534     2.183
    40.565    23.918   -30.008     0.777     0.938
    40.564    23.914    -6.941     0.794     0.983
    41.165    24.436   -68.894     1.232     1.634
    40.538    23.543    -7.214     1.149     1.432
    40.428    23.870     3.056     1.086     1.111
    40.960    24.270    79.188     1.150     1.672
    41.219    23.952   -82.076     1.079     1.228
    41.177    24.118   -71.305     1.342     1.577
    41.305    24.455    69.685     1.107     1.638
    40.474    23.959   -10.541     0.801     0.927
    41.297    24.447    67.035     0.846     1.063
    40.624    24.146     5.755     0.970     1.123
    41.302    24.446    57.474     1.159     1.424
    40.598    23.863   -57.851     1.320     1.410
    41.323    24.459    34.018     1.203     1.311
    41.205    23.750    53.310     0.655     0.740
    41.208    23.761    28.832     0.756     0.870
    40.910    23.736    37.261     1.073     1.165
    40.531    23.513    20.706     0.787     0.906
    41.171    24.324    67.973     1.084     1.169
    41.189    23.743    11.435     0.899     1.082
    40.594    24.117    -8.267     0.777     0.972
    40.590    24.090   -47.653     1.202     1.255
    41.178    24.481   -39.896     1.130     1.246
    41.125    24.399   -64.214     1.120     1.334
    41.240    23.742    19.391     0.799     0.947
    40.576    23.557     2.171     0.773     0.890
    40.561    24.038     0.943     1.331     1.652
    40.882    23.833    60.252     0.892     0.965
    40.521    23.515    14.374     0.973     1.161
    41.206    23.543    -5.667     0.965     1.209
    40.520    23.699   -11.048     0.893     1.463
    40.822    24.140     9.388     1.158     1.167
    41.228    23.583    15.871     1.302     1.902
    41.215    23.599    22.212     1.184     1.549
    40.624    24.067    18.835     0.972     1.423
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    40.382    23.379     6.820     0.853     1.147
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    40.382    23.402   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    40.382    23.379     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    40.382    23.379     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    40.337    23.379   5 km
END
