#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=drama1.21_rdp_004.ps
projection=-JX18/12
region=-R1/30/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases drama1.21 Event 004' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.603     1.000
     1.179     2.000
     0.771     3.000
     0.431     4.000
     0.152     5.000
     0.264     6.000
     0.431     7.000
     0.657     8.000
     0.921     9.000
     1.216    10.000
     1.519    11.000
     1.827    12.000
     2.132    13.000
     2.444    14.000
     2.756    15.000
     3.070    16.000
     3.384    17.000
     3.699    18.000
     4.013    19.000
     4.328    20.000
     4.602    21.000
     4.877    22.000
     5.152    23.000
     5.426    24.000
     5.701    25.000
     5.976    26.000
     6.250    27.000
     6.525    28.000
     6.798    29.000
     7.064    30.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     3.140     1.000
     2.262     2.000
     1.385     3.000
     0.687     4.000
     0.247     5.000
     0.499     6.000
     0.693     7.000
     1.034     8.000
     1.650     9.000
     2.282    10.000
     2.914    11.000
     3.547    12.000
     4.165    13.000
     4.796    14.000
     5.429    15.000
     6.061    16.000
     6.694    17.000
     7.326    18.000
     7.958    19.000
     8.590    20.000
     9.140    21.000
     9.690    22.000
    10.240    23.000
    10.789    24.000
    11.339    25.000
    11.889    26.000
    12.439    27.000
    12.989    28.000
    13.533    29.000
    14.068    30.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.987     9.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.887     9.000
     3.887     9.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.887     9.000
     3.887    13.000
     1.887    13.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.887     9.000
     3.887     5.000
     1.887     5.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     5.000
     1.887     5.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.887     2.000
     1.887    10.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     2.000
     1.887     2.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    10.000
     1.887    10.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 19830826.1252.11
     9.680     2.000 Depth of minimum misfit =   5 km on  4 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
