#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=drama1.21_dcal.ps
projection=-JM16.0c+
region=-R20.9/27.0/38.5/43.4
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration drama1.21' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.578    23.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.578    23.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.544    23.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.544    23.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.544    23.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.544    23.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.544    23.706
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.470    23.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.470    23.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.470    23.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.470    23.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.470    23.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.470    23.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.480    23.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.480    23.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.480    23.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.480    23.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.480    23.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.633    23.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.633    23.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.633    23.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.633    23.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.633    23.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.633    23.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.633    23.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.633    23.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.633    23.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.633    23.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.876    23.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.876    23.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.876    23.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.876    23.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.876    23.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    40.876    23.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.876    23.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.876    23.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.876    23.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.253    24.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.253    24.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.253    24.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.253    24.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.253    24.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.203    24.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.203    24.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.203    24.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.203    24.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.203    24.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.203    24.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.688    24.716
    41.203    24.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.688    24.716
    41.203    24.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.561    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.561    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.561    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.561    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.561    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.561    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.561    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.561    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.561    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.561    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.564    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.564    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.564    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.564    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.564    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.564    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.564    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.564    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.564    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.564    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.564    23.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.571    23.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.571    23.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.571    23.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.571    23.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.571    23.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.571    23.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.571    23.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.571    23.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.571    23.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.571    23.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.578    23.676
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.578    23.676
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.578    23.676
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.578    23.676
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.578    23.676
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.578    23.676
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.578    23.676
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.578    23.676
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.578    23.676
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.562    23.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.562    23.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.562    23.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.562    23.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.562    23.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.562    23.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.562    23.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.562    23.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.561    23.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.561    23.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.561    23.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.561    23.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.561    23.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.561    23.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.561    23.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.572    23.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.572    23.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.572    23.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.572    23.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.572    23.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.572    23.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.572    23.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.572    23.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.572    23.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.485    23.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.485    23.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.485    23.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.485    23.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.485    23.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.485    23.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.485    23.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.487    23.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.487    23.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.487    23.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.487    23.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.487    23.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.487    23.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.487    23.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.487    23.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.487    23.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.251    23.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.251    23.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.251    23.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.251    23.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.251    23.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.867    23.083
    41.251    23.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.577    23.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.577    23.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.577    23.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.577    23.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.577    23.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.577    23.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.577    23.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.577    23.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.432    23.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.432    23.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.432    23.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.432    23.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.432    23.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.432    23.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.432    23.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.432    23.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.577    23.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.577    23.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.577    23.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.577    23.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.577    23.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.577    23.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.458    23.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.458    23.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.458    23.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.458    23.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.458    23.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.458    23.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.458    23.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.458    23.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.563    24.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.563    24.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.563    24.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.563    24.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.563    24.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.864    23.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.205    24.147
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.205    24.147
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.205    24.147
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.205    24.147
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.205    24.147
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.205    24.147
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.205    24.147
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.595    23.858
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.595    23.858
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.595    23.858
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.595    23.858
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.595    23.858
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.595    23.858
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.595    23.858
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.595    23.858
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.595    23.858
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.595    23.858
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.595    23.858
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.595    23.858
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.595    23.858
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.175    23.806
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.175    23.806
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.175    23.806
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.175    23.806
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.767    24.032
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.767    24.032
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.767    24.032
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.767    24.032
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.767    24.032
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.767    24.032
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.767    24.032
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.767    24.032
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.767    24.032
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.767    24.032
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.767    24.032
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.866    23.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.866    23.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.866    23.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.866    23.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.866    23.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.866    23.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.866    23.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.866    23.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.866    23.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.866    23.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.866    23.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.866    23.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    40.866    23.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.866    23.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.762    23.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.762    23.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.762    23.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.762    23.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.762    23.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.762    23.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.762    23.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.762    23.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.762    23.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.762    23.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.762    23.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.762    23.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.762    23.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.762    23.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.204    23.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.204    23.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.204    23.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.204    23.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.204    23.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.688    24.716
    41.204    23.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.585    23.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.585    23.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.585    23.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.585    23.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.585    23.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.585    23.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.585    23.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.585    23.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.585    23.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.585    23.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.585    23.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.585    23.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.585    23.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.585    23.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.593    24.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.593    24.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.593    24.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.593    24.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.593    24.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.593    24.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.593    24.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.593    24.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.593    24.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.593    24.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.593    24.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.593    24.102
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.611    24.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.611    24.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.611    24.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.611    24.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.611    24.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.611    24.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.611    24.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.611    24.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.611    24.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.611    24.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.879    24.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.879    24.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.879    24.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.879    24.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.879    24.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.879    24.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.879    24.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.879    24.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.879    24.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    40.879    24.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.885    24.043
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.885    24.043
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.885    24.043
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.885    24.043
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.885    24.043
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.885    24.043
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.885    24.043
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.885    24.043
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.885    24.043
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    40.885    24.043
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.885    24.043
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.885    24.043
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.844    24.116
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.844    24.116
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.844    24.116
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.844    24.116
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.844    24.116
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.844    24.116
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.844    24.116
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.844    24.116
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.844    24.116
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.844    24.116
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.844    24.116
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.821    23.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.821    23.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.821    23.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.821    23.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.821    23.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.821    23.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.821    23.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.821    23.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.821    23.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.821    23.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.821    23.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.821    23.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    40.821    23.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.821    23.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.821    23.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.599    24.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.599    24.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.599    24.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.599    24.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.599    24.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.599    24.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.599    24.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.599    24.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.599    24.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.599    24.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.599    24.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.599    24.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.599    24.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.599    24.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.599    24.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.599    24.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.641    23.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.189    23.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.189    23.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.189    23.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.189    23.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.189    23.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.189    23.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.189    23.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.189    23.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.189    23.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.189    23.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.189    23.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.189    23.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.189    23.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.189    23.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    41.189    23.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    41.189    23.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.623    23.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.559    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.563    23.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.563    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.557    23.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.558    23.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.558    23.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.559    23.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.485    23.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.485    23.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.485    23.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.485    23.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.485    23.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.485    23.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.485    23.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.485    23.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.485    23.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.485    23.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.485    23.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.485    23.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.485    23.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.485    23.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.485    23.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.485    23.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.485    23.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    41.213    23.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.867    23.083
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.688    24.716
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.455    23.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.665    23.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.668    23.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.560    23.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.565    23.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.564    23.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.165    24.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.165    24.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.165    24.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.165    24.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.165    24.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.165    24.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.165    24.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.165    24.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.165    24.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.688    24.716
    41.165    24.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.165    24.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.165    24.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.165    24.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.165    24.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.538    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.428    23.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    40.960    24.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.688    24.716
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.219    23.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.688    24.716
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.177    24.118
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.305    24.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.305    24.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.305    24.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.305    24.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.688    24.716
    41.305    24.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.305    24.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.305    24.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.305    24.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.305    24.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.305    24.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.305    24.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.305    24.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.305    24.455
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.474    23.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.297    24.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.297    24.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.688    24.716
    41.297    24.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.297    24.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.297    24.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.297    24.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.297    24.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.297    24.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.297    24.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.297    24.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.297    24.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.297    24.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.297    24.447
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.624    24.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.302    24.446
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.302    24.446
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.302    24.446
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.302    24.446
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.688    24.716
    41.302    24.446
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.302    24.446
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.302    24.446
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.302    24.446
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.302    24.446
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.302    24.446
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.302    24.446
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.302    24.446
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.598    23.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.323    24.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.323    24.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.323    24.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.688    24.716
    41.323    24.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.323    24.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.323    24.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.323    24.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.323    24.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.323    24.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.323    24.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.323    24.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.323    24.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.323    24.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.650    25.417
    41.323    24.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    41.205    23.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    41.208    23.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    40.910    23.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.531    23.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.688    24.716
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.688    24.716
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.171    24.324
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.189    23.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.594    24.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.590    24.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.688    24.716
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.688    24.716
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.146    25.538
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.146    25.538
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.146    25.538
    41.178    24.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.688    24.716
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.688    24.716
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.125    24.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.240    23.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.240    23.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.240    23.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.240    23.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.240    23.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.240    23.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.907    23.499
    41.240    23.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.907    23.499
    41.240    23.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.240    23.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    41.240    23.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.240    23.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.867    23.083
    41.240    23.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.867    23.083
    41.240    23.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.907    23.499
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.818    23.999
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.576    23.557
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.561    24.038
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.561    24.038
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.561    24.038
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.561    24.038
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.561    24.038
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.561    24.038
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.561    24.038
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.561    24.038
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.561    24.038
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.561    24.038
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.561    24.038
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.561    24.038
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.561    24.038
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.561    24.038
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.561    24.038
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.561    24.038
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.159    24.149
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.159    24.149
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.937    24.386
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.882    23.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.598    23.100
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.159    24.149
    40.521    23.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.867    23.083
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.867    23.083
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.321    22.570
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.321    22.570
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.206    23.543
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.520    23.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.822    24.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.822    24.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.822    24.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.822    24.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.822    24.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.822    24.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.822    24.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.822    24.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.822    24.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.822    24.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.822    24.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.822    24.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.822    24.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.822    24.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.822    24.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.867    23.083
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.867    23.083
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.353    24.550
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.353    24.550
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    41.228    23.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    41.215    23.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    41.215    23.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.215    23.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.215    23.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.589    23.728
    41.215    23.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.215    23.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    41.215    23.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.162    22.898
    41.215    23.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.215    23.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    41.215    23.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.353    24.550
    41.215    23.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.867    23.083
    41.215    23.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.867    23.083
    41.215    23.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.867    23.083
    41.215    23.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    41.215    23.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.632    22.965
    41.215    23.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.624    24.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.624    24.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.334    23.982
    40.624    24.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.624    24.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.606    24.719
    40.624    24.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.624    24.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.997    24.514
    40.624    24.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.624    24.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.374    23.446
    40.624    24.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.624    24.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.822    23.354
    40.624    24.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.117    23.592
    40.624    24.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.624    24.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.927    23.680
    40.624    24.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.350    23.862
    40.624    24.067
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    40.374    23.446     0.300
    40.822    23.354     0.300
    40.632    22.965     0.300
    39.927    23.680     0.300
    40.334    23.982     0.300
    41.117    23.592     0.300
    41.162    22.898     0.300
    41.589    23.728     0.300
    41.688    24.716     0.300
    41.867    23.083     0.300
    41.350    23.862     0.300
    40.598    23.100     0.300
    40.997    24.514     0.300
    40.937    24.386     0.300
    40.606    24.719     0.300
    40.818    23.999     0.300
    41.650    25.417     0.300
    41.146    25.538     0.300
    40.907    23.499     0.300
    41.159    24.149     0.300
    41.321    22.570     0.300
    41.353    24.550     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.578    23.640     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.544    23.706     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.470    23.960     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.480    23.948     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.633    23.410     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.876    23.630     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.253    24.040     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.203    24.007     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.561    23.642     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.564    23.642     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.571    23.684     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.578    23.676     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.562    23.657     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.561    23.645     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.572    23.619     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.485    23.999     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.487    23.617     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.251    23.644     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.577    23.651     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.432    23.868     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.577    23.632     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.458    23.687     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.563    24.264     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.864    23.807     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.205    24.147     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.595    23.858     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.175    23.806     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.767    24.032     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.866    23.869     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.762    23.658     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.204    23.987     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.585    23.890     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.593    24.102     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.611    24.097     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.879    24.036     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.885    24.043     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.844    24.116     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.821    23.844     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.599    24.136     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.641    23.767     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.189    23.781     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.623    23.788     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.559    23.574     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.563    23.574     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.563    23.580     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.557    23.578     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.558    23.573     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.558    23.580     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.559    23.577     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.485    23.667     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.213    23.735     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.455    23.753     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.665    23.710     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.668    23.718     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.560    23.871     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.565    23.918     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.564    23.914     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.165    24.436     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.538    23.543     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.428    23.870     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.960    24.270     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.219    23.952     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.177    24.118     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.305    24.455     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.474    23.959     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.297    24.447     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.624    24.146     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.302    24.446     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.598    23.863     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.323    24.459     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.205    23.750     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.208    23.761     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.910    23.736     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.531    23.513     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.171    24.324     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.189    23.743     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.594    24.117     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.590    24.090     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.178    24.481     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.125    24.399     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.240    23.742     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.576    23.557     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.561    24.038     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.882    23.833     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.521    23.515     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.206    23.543     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.520    23.699     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.822    24.140     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.228    23.583     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.215    23.599     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    40.624    24.067     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    40.793    23.863     0.000   222.000   222.000
    40.793    23.863     0.000   444.000   444.000
END
